Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.extension
Class JifProcedureDeclDel

    java.lang.Object
      polyglot.ext.jl.ast.Ext_c
          polyglot.ext.jl.ast.JL_c
              jif.extension.JifJL_c
                  jif.extension.JifProcedureDeclDel

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Ext, polyglot.ast.JL, polyglot.ast.NodeOps, polyglot.util.Copy

Direct Known Subclasses:
  JifMethodDeclDel

    public class JifProcedureDeclDel

extends JifJL_c

The Jif delegate the `ProcedureDecl` node.

See Also:
  `ProcedureDecl`

Field Summary

Fields inherited from class polyglot.ext.jl.ast.Ext_c
`ext, node`

Constructor Summary
`JifProcedureDeclDel()`

Method Summary
`polyglot.types.Context` | `enterScope(polyglot.types.Context c)`

Methods inherited from class jif.extension.JifJL_c
`buildTypes, translate`

Methods inherited from class polyglot.ext.jl.ast.JL_c
`addDecls, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, exceptionCheck, exceptionCheckEnter, jl, prettyPrint, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from class polyglot.ext.jl.ast.Ext_c
`copy, dump, ext, ext, init, node, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifProcedureDeclDel

    public JifProcedureDeclDel()

Method Detail

### enterScope

    public polyglot.types.Context enterScope(polyglot.types.Context c)

  Specified by:
    `enterScope` in interface `polyglot.ast.NodeOps`
  Overrides:
    `enterScope` in class `polyglot.ext.jl.ast.JL_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD